r66047 - in /trunk/libcgi-application-plugin-tt-perl/debian: README.source components/lastmodified/watch update.sh

periapt-guest at users.alioth.debian.org periapt-guest at users.alioth.debian.org
Mon Dec 20 23:19:51 UTC 2010


Author: periapt-guest
Date: Mon Dec 20 23:19:33 2010
New Revision: 66047

URL: http://svn.debian.org/wsvn/pkg-perl/?sc=1&rev=66047
Log:
got fed up with writing Christmas cards

Added:
    trunk/libcgi-application-plugin-tt-perl/debian/README.source
    trunk/libcgi-application-plugin-tt-perl/debian/components/lastmodified/watch
    trunk/libcgi-application-plugin-tt-perl/debian/update.sh   (with props)

Added: trunk/libcgi-application-plugin-tt-perl/debian/README.source
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libcgi-application-plugin-tt-perl/debian/README.source?rev=66047&op=file
==============================================================================
--- trunk/libcgi-application-plugin-tt-perl/debian/README.source (added)
+++ trunk/libcgi-application-plugin-tt-perl/debian/README.source Mon Dec 20 23:19:33 2010
@@ -1,0 +1,25 @@
+For most purposes this package is a standard Debian Perl Group package.
+The aspect in which it is special is that some related modules are bundled
+together with the package. So long as you have the appropriate tar balls
+in the correct place you can build using dpkg-buildpackage or
+svn-buildpackage as you would normally.
+
+If you have a fresh checkout from the svn repository and you wish 
+to download all the tarballs to build under svn-buildpackage, then from the
+package root directory run:
+
+    ./debian/update.sh update
+
+To check for new updates drop the "update" argument. If you are building
+under dpkg-buildpackage you need to tell the script about the 
+alternative build directory so run
+
+    DESTDIR=.. ./debian/update.sh update
+
+There are a couple of important caveats about the update.sh script.
+First of all when used in update mode it will DELETE the existing tarballs.
+Secondly when you do update one of the components, the update.sh script 
+will need to be updated. These limitations arise because it is 
+a temporary work around until pkg-components (or even uscan) provides
+something more substantial.
+

Added: trunk/libcgi-application-plugin-tt-perl/debian/components/lastmodified/watch
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libcgi-application-plugin-tt-perl/debian/components/lastmodified/watch?rev=66047&op=file
==============================================================================
--- trunk/libcgi-application-plugin-tt-perl/debian/components/lastmodified/watch (added)
+++ trunk/libcgi-application-plugin-tt-perl/debian/components/lastmodified/watch Mon Dec 20 23:19:33 2010
@@ -1,0 +1,2 @@
+version=3
+http://search.cpan.org/dist/CGI-Application-Plugin-TT-LastModified/   .*/CGI-Application-Plugin-TT-LastModified-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

Added: trunk/libcgi-application-plugin-tt-perl/debian/update.sh
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libcgi-application-plugin-tt-perl/debian/update.sh?rev=66047&op=file
==============================================================================
--- trunk/libcgi-application-plugin-tt-perl/debian/update.sh (added)
+++ trunk/libcgi-application-plugin-tt-perl/debian/update.sh Mon Dec 20 23:19:33 2010
@@ -1,0 +1,32 @@
+#!/bin/sh
+
+set -e
+
+DESTDIR=${DESTDIR:-../tarballs}
+MODULE=CGI-Application-Plugin-TT
+PACKAGE=libcgi-application-plugin-tt-perl
+VERSION=1.05
+LM_VERS=1.02
+FD=--force-download
+NS=--no-symlink
+RE=--rename
+DD="--destdir ${DESTDIR}"
+RS=--report-status
+DC=-"-watch debian/components"
+US=--upstream-version
+
+if [ $1 ]
+then
+    echo update;
+    rm -f ${DESTDIR}/${MODULE}*.tar.gz
+    uscan ${FD} ${RE} ${DD} && true;
+    uscan ${DC}/lastmodified/watch ${FD} ${NS} ${DD} ${US} ${LM_VERS} && true;
+    cd ${DESTDIR}
+    LM=`ls ${MODULE}-LastModified*.tar.gz`
+    mv ${LM} ${PACKAGE}_${VERSION}.orig-lastmodified.tar.gz
+    cd -
+else
+    echo report;
+    uscan ${RS} && true;
+    uscan ${DC}/lastmodified/watch ${RS} ${DD} ${US} ${LM_VERS} && true;
+fi

Propchange: trunk/libcgi-application-plugin-tt-perl/debian/update.sh
------------------------------------------------------------------------------
    svn:executable = *




More information about the Pkg-perl-cvs-commits mailing list